Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.conversation.impl
Class SimpleConversationId

    java.lang.Object
      org.springframework.webflow.conversation.ConversationId
          org.springframework.webflow.conversation.impl.SimpleConversationId

All Implemented Interfaces:
  java.io.Serializable

    public class SimpleConversationId

extends ConversationId

An id that uniquely identifies a conversation managed by a `ConversationManager`.

Author:
  Ben Hale
See Also:
  Serialized Form

Constructor Summary
`SimpleConversationId(java.io.Serializable id)` Creates a new simple conversation id.

Method Summary
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`java.lang.String` | `toString()` Subclasses should override toString to return a parseable string form of the key.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleConversationId

    public SimpleConversationId(java.io.Serializable id)

  Creates a new simple conversation id.

  Parameters:
    `id` - the id value

Method Detail

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Description copied from class: `ConversationId`
  Subclasses should override toString to return a parseable string form of the key.

  Specified by:
    `toString` in class `ConversationId`
  See Also:
    `Object.toString()`, `ConversationManager.parseConversationId(String)`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD